#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs

Summary:	Simple library for extracting the contents from OpenStreetMap files
Summary(pl.UTF-8):	Prosta biblioteka do wyciągania danych z plików OpenStreetMap
Name:		readosm
Version:	1.1.0a
Release:	1
License:	MPL v1.1 or GPL v2+ or LGPL v2.1+
Group:		Libraries
Source0:	http://www.gaia-gis.it/gaia-sins/readosm-sources/%{name}-%{version}.tar.gz
# Source0-md5:	84aa3db786433f35d2e14493f57ff5cd
URL:		https://www.gaia-gis.it/fossil/readosm
%{?with_apidocs:BuildRequires:	doxygen >= 1.7.3}
BuildRequires:	expat-devel >= 1.95
BuildRequires:	rpm-build >= 4.6
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ReadOSM is a simple library intended for extracting the contents from
OpenStreetMap files: both input formats (.osm XML based and .osm.pbf
based on Google's Protocol Buffer serialization) are indifferenctly
supported.

%description -l pl.UTF-8
ReadOSM to prosta biblioteka do wydobywania danych z plików
OpenStreetMap. Oba formaty wejściowy (.osm oparty na XML oraz .osm.pbf
oparty na serializacji Google Protocol Buffer) są obsługiwane w sposób
przezroczysty.

%package devel
Summary:	Header files for ReadOSM library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki ReadOSM
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	expat-devel >= 1.95
Requires:	zlib-devel

%description devel
Header files for ReadOSM library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki ReadOSM.

%package static
Summary:	Static ReadOSM library
Summary(pl.UTF-8):	Statyczna biblioteka ReadOSM
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static ReadOSM library.

%description static -l pl.UTF-8
Statyczna biblioteka ReadOSM.

%package apidocs
Summary:	ReadOSM API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki ReadOSM
Group:		Documentation
BuildArch:	noarch

%description apidocs
API and internal documentation for ReadOSM library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki ReadOSM.

%prep
%setup -q

%build
%configure
%{__make}
#	libreadosm_la_LIBADD="-lm"

%{?with_apidocs:doxygen}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libreadosm.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/libreadosm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libreadosm.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libreadosm.so
%{_includedir}/readosm.h
%{_pkgconfigdir}/readosm.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libreadosm.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc html/{search,*.css,*.html,*.js,*.png}
%endif
%changelog
* Tue Jan 24 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/readosm.git;a=log;h=master

* Tue Jan 24 2023 Jakub Bogusz <qboosh@pld-linux.org> 21b8257
- updated to 1.1.0a

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 55cf684
- unconditional noarch subpackages

* Wed Oct 17 2018 Adam Gołębiowski <adamg@pld-linux.org> 825a5d0
- updated to 1.1.0

* Sun Jan 10 2016 Elan Ruusamäe <glen@delfi.ee> 15cb0ea
- noarch apidoc

* Fri Jul 03 2015 Jakub Bogusz <qboosh@pld-linux.org> bc19203
- updated to 1.0.0e

* Fri May 29 2015 Jakub Bogusz <qboosh@pld-linux.org> 615f8aa
- updated to 1.0.0d

* Fri Nov 16 2012 Jakub Bogusz <qboosh@pld-linux.org> c19fe52
- updated to 1.0.0b

* Mon Nov 12 2012 Jan Rękorajski <baggins@pld-linux.org> 452609f
- rebuild with expat 2.1.0
- release 3 (by relup.sh)

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> 31df5b8
- rebuild to fix broken filedigests
- release 2 (by relup.sh)

* Sun Oct 07 2012 Jakub Bogusz <qboosh@pld-linux.org> fc877e7
- cleanup

* Thu Sep 27 2012 Jakub Bogusz <qboosh@pld-linux.org> be08741
- new

